WWW::Shorten::Debli(3pm)

NAME
WWW::Shorten::Debli - Perl interface to deb.li

SYNOPSIS
  use WWW::Shorten 'Debli';

  $short_url = makeashorterlink($long_url);

  $long_url  = makealongerlink($short_url);

DESCRIPTION
A Perl interface to the web site <https://deb.li>. Deb.li provides a URL shortening service primarily for Debian contributors.

Functions

makeashorterlink(URL)
    The function "makeashorterlink" will connect to deb.li passing it the URL and will return the shortened variant.

makealongerlink
    The function "makealongerlink" does the reverse. It will accept as an argument either the full deb.li URL or just the key.

    If anything goes wrong, then either function will return "undef".

  EXPORT
makeashorterlink, makealongerlink

COPYRIGHT & LICENSE
Copyright (C) 2012 Damyan Ivanov dmn@debian.org

This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2, or (at your option) any later version.

SEE ALSO
WWW::Shorten, <https://deb.li/>